#include "HistoryListModel.h"

HistoryListModel::HistoryListModel(QStringList words, QObject *parent) :
        QAbstractListModel(parent) {

    QHash<int, QByteArray> roles;
    roles[WordRole] = "word";
    roles[NumberRole] = "number";
    setRoleNames(roles);
    setHistoryTypes(words);
}

int HistoryListModel::rowCount(const QModelIndex &parent) const {
    return _words.count();
}

void HistoryListModel::setHistoryTypes(QStringList words) {
    for(int i = 0; i < words.count(); i++) {
        addType(words[i]);
    }
}

QVariant HistoryListModel::data(const QModelIndex & index, int role) const
{
    if (index.row() < 0 || index.row() > _words.count())
        return QVariant();

    const QString word = _words[index.row()];
    if (role == WordRole)
        return word;
    if (role == NumberRole)
        return index.row();
    return QVariant();
}

void HistoryListModel::addType(QString word) {
    beginInsertRows(QModelIndex(), rowCount(), rowCount());
    _words << word;
    endInsertRows();
}
