#ifndef HISTORYLISTMODEL_H
#define HISTORYLISTMODEL_H

#include <QAbstractListModel>
#include <QHash>
#include "../../include/GUIInterface.h"


class HistoryListModel : public QAbstractListModel
{
    Q_OBJECT
public:
    enum histotyTypeRoles
    {
        WordRole = Qt::UserRole + 1,
        NumberRole
    };
    explicit HistoryListModel(QStringList words, QObject *parent = 0);

    int rowCount(const QModelIndex & parent = QModelIndex()) const;

    QVariant data(const QModelIndex & index, int role = Qt::DisplayRole) const;

private:
    void setHistoryTypes(QStringList words);
    void addType(QString word);

    QStringList  _words;
};

#endif // HISTORYLISTMODEL_H
