/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*!
    author: Marcin Kaźmierczak <marcin.kazmierczak@comarch.pl>
*/

import Qt 4.7

Rectangle {
    SystemPalette { id: myPalette; colorGroup: SystemPalette.Active }
    signal selectedRow(int nr)

    id: rectangle1
    color: myPalette.base
    anchors.fill: parent

    ElementsListView{
        id: dictTypeList
        width: rectangle1.width
        height: rectangle1.height
        highlightResizeSpeed: 1000
        delegate: Component{
            id: dictTypeListDelegate
            Item {
                width: rectangle1.width
                height: typeText.height
                MouseArea{
                    anchors.fill: parent
                    onClicked: {
                        dictTypeList.currentIndex = number
                    }
                    onDoubleClicked: {
                        selectedRow(number)
                    }
                }
                Row {
                    Text {
                        id: typeText
                        text: type
                        width: rectangle1.width
                    }
                }
            }

        }
        model: dictTypeModel
    }
}
