TARGET = stardict

include(../plugin.pri)

QT = core \
    gui \
    xml \
    sql \
    declarative

maemo5:QT += maemo5

LIBS += -lz

SOURCES +=  \
    StarDictPlugin.cpp \
    TranslationStarDict.cpp \
    StarDictDialog.cpp \
    StarDialog.cpp \
    CompressedReader.cpp \
    UncompressedReader.cpp \
    StarDictReaderFactory.cpp

HEADERS += \
    StarDictPlugin.h \
    TranslationStarDict.h \
    ../../include/DictDialog.h \
    StarDictDialog.h \
    ../../include/translation.h \
    ../../include/settings.h \
    ../../include/CommonDictInterface.h \
    StarDialog.h \
    CompressedReader.h \
    UncompressedReader.h \
    StarDictReaderFactory.h \
    StarDictReader.h

RESOURCES += StarDict.qrc

TRANSLATIONS += pl_PL.ts \
                en_US.ts
    
unix {
    meego {
        qmls.path = $$DATA_DIR/qml
        qmls.files += ../../mdictionary/qml/StarDictDialog.qml
    }
    else:maemo5 {
        qmls.path = $$DATA_DIR/qml
        qmls.files += ../../mdictionary/qml/StarDictDialog.qml
    }
    else {
        qmls.path = $$DATA_DIR/qml
        qmls.files += ../../mdictionary/qml/StarDictDialog.qml
    }

    plugin-icon.path = $$DATA_DIR
    plugin-icon.files += stardict.png

    INSTALLS += plugin-icon \
                qmls
}

check.commands = echo \
                'No check here'
QMAKE_EXTRA_TARGETS += check

OTHER_FILES += ../../mdictionary/qml/StarDictDialog.qml
