/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*!
    \file XdxfDictDownloadProgressDialog.cpp
    \brief Shows downloading progress bar.

    \author Mateusz Półrola <mateusz.polrola@comarch.com>
*/

#include "XdxfDictDownloadProgressDialog.h"

XdxfDictDownloadProgressDialog::XdxfDictDownloadProgressDialog(QWidget*parent):
    QDialog(parent) {
qDebug()<<"etap 01";
#ifndef Q_WS_MAEMO_5
    view= new QDeclarativeView();
    view->setSource(QUrl::fromLocalFile("/usr/share/mdictionary/qml/XdxfDictDownloader.qml"));
    view->setResizeMode(QDeclarativeView::SizeRootObjectToView);
    view->setAlignment(Qt::AlignCenter);
    view->show();

    mainLayout = new QVBoxLayout;
    mainLayout->addWidget(view);
    setLayout(mainLayout);
    view->setWindowTitle(tr("Progres Dialog"));

    QGraphicsObject *rootObject = view->rootObject();

    connect(this, SIGNAL(setValue(QVariant)),
           rootObject, SLOT(setValue(QVariant)));
    connect(this, SIGNAL(setTextt(QVariant)),
           rootObject, SLOT(setText(QVariant)));
    connect(this, SIGNAL(setMaximumValue(QVariant)),
           rootObject, SLOT(setMaximumValue(QVariant)));

    connect(rootObject, SIGNAL(cancelDownloading()),
           this, SLOT(reject()));

#else
    verticalLayout = new QVBoxLayout(this);
    setLayout(verticalLayout);

    downloadProgressBar = new QProgressBar(this);
    downloadProgressBar->setMinimum(0);
    downloadProgressBar->setMaximum(0);
    downloadProgressBar->setTextVisible(true);

    cancelButton = new QPushButton(tr("Cancel"),this);

    connect(cancelButton, SIGNAL(clicked()),
            this, SIGNAL(cancelDownloading()));

    #ifndef Q_WS_MAEMO_5
            downloadLabel = new QLabel(this);
            verticalLayout->addWidget(downloadLabel, 0, Qt::AlignCenter);
    #endif

    verticalLayout->addWidget(downloadProgressBar);
    verticalLayout->addWidget(cancelButton);
    setModal(true);

    #ifndef Q_WS_MAEMO_5
        setMinimumWidth(350);
    #endif
#endif
}


void XdxfDictDownloadProgressDialog::show() {
qDebug()<<"etap 02";
#ifndef Q_WS_MAEMO_5
    emit setMaximumValue(0);
    maximumValue=0;
#else
    downloadProgressBar->setMaximum(0);
    QDialog::show();
#endif
    QDialog::show();
}


void XdxfDictDownloadProgressDialog::setText(QString text) {
qDebug()<<"etap 03";

#ifndef Q_WS_MAEMO_5
    emit setTextt(text);
#else
    setWindowTitle(text);
#endif
}


void XdxfDictDownloadProgressDialog::updateProgress(float progress) {
qDebug()<<"etap 04";
#ifndef Q_WS_MAEMO_5
    if(maximumValue == 0) {
        emit setMaximumValue(100);
    }
    emit setValue((int)(progress*100));
#else
    if(downloadProgressBar->maximum() == 0) {
        downloadProgressBar->setMaximum(100);
    }
    downloadProgressBar->setValue(progress*100);
#endif
}


void XdxfDictDownloadProgressDialog::reject() {
qDebug()<<"etap 05";
    #ifndef Q_WS_MAEMO_5
        Q_EMIT cancelDownloading();
    #else
        return;
    #endif
}
