/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*! \file XdxfLoadDialog.h
*/
//Created by Mateusz Półrola

#ifndef XDXFLOADDIALOG_H
#define XDXFLOADDIALOG_H

#include <QDialog>
#include <QtGui>
#include "../../include/settings.h"

//! Displays dialog which allows user to add new xdxf dictionary
class XdxfLoadDialog : public QDialog {
    Q_OBJECT
public:
    explicit XdxfLoadDialog(QWidget *parent = 0);

    /*! Displays dialog and returns settings of new dictionary
        \return Settings object containing new dictionary settings or 0 (NULL) in
        case user cancels dialog
    */
    static Settings* getSettings(QWidget *parent);

    //! Returns dictionary file path chosen by user
    QString dicitonaryFilePath();

    //! Returns if user wants to cache dictionary
    bool generateCache();

signals:

public slots:

private Q_SLOTS:
    void selectFile();
    void addDictionary();
    void setGenerateCache(bool);
    void setAccents(bool);

private:
    QPushButton* addButton;
    QPushButton* browseButton;
    QLabel* browseLabel;
    QCheckBox* cacheCheckBox;
    QCheckBox* accentsCheckBox;
    QVBoxLayout* verticalLayout;
    QVBoxLayout* browseLayout;
    QHBoxLayout* cacheLayout;
    QString _dicitonaryFilePath;
    bool _generateCache;
    bool lastAccents;

};

#endif // XDXFLOADDIALOG_H
